package org.eclipse.equinox.launcher;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.net.URL;
import java.security.AllPermission;
import java.security.CodeSource;
import java.security.Permission;
import java.security.PermissionCollection;
import java.security.Policy;
import java.security.ProtectionDomain;
import org.eclipse.equinox.launcher.Main;

class EclipsePolicy extends Policy {
  private final Policy policy;
  
  private final URL[] urls;
  
  private final PermissionCollection allPermissions;
  
  Permission allPermission = new AllPermission();
  
  EclipsePolicy(Policy policy, URL[] urls) {
    this.policy = policy;
    this.urls = urls;
    this.allPermissions = (PermissionCollection)new Object(this);
  }
  
  public PermissionCollection getPermissions(CodeSource codesource) {
    if (contains(codesource.getLocation()))
      return this.allPermissions; 
    return (this.policy == null) ? this.allPermissions : this.policy
      .getPermissions(codesource);
  }
  
  public PermissionCollection getPermissions(ProtectionDomain domain) {
    if (contains(domain.getCodeSource().getLocation()))
      return this.allPermissions; 
    return (this.policy == null) ? this.allPermissions : this.policy
      .getPermissions(domain);
  }
  
  public boolean implies(ProtectionDomain domain, Permission permission) {
    if (contains(domain.getCodeSource().getLocation()))
      return true; 
    return (this.policy == null) ? true : this.policy.implies(domain, 
        permission);
  }
  
  public void refresh() {
    if (this.policy != null)
      this.policy.refresh(); 
  }
  
  private boolean contains(URL url) {
    for (int i = 0; i < this.urls.length; i++) {
      if (this.urls[i] == url)
        return true; 
    } 
    return false;
  }
}
